<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_d36d5ad3900b429055d2ab" . "305b68bdbd" => base64_decode("Zm9ydW" . "1fbWVz" . "c2FnZQ" . "=="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_4cb84eb74" . "ebb3a0cd6e" . "531eaa8157" . "092" => base64_decode("YXBwX2" . "ZvcnVt"), "_76b2584d18510f887f4a6f6b81f" . "96952" => base64_decode("Y29tbW9" . "uLmhlYW" . "Rlci5mb" . "3J1bQ=="));
use Claromentis\Forum\ForumApplication as ForumForumApplication;
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d36d5ad3900b429055d2ab305b" . "68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_76b2584d18510f887f4a6f6" . "b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4cb84eb74ebb3a0cd6e" . "531eaa8157092"];
    }
    public function GetIcon() : string
    {
        return ForumForumApplication::APPLICATION_SVG_URL;
    }
}